package com.org.hktshop.entity.product;

import com.org.hktshop.base.BaseModel;
import com.org.hktshop.target01.TableField;
import com.org.hktshop.target01.TableName;
import lombok.Data;

/**
 * @author owen
 */
@Data
@TableName("hkt_price_regulation")
public class HktPriceRegulation extends BaseModel {

    @TableField("start_price")
    private Double startPrice;

    @TableField("end_price")
    private Double endPrice;

    @TableField("count_one")
    private String countOne;

    @TableField("count_two")
    private String countTwo;

    @TableField("count_three")
    private String countThree;

    @TableField("count_fore")
    private String countFore;

    @TableField("count_five")
    private String countFive;

    @TableField("sys_type")
    private Integer sysType;

    public String getRegulationNum(int i) {
        switch (i) {
            case 0:
                return countOne;
            case 1:
                return countTwo;
            case 2:
                return countThree;
            case 3:
                return countFore;
            case 4:
                return countFive;
            default:
                return "";
        }
    }
}
